Do not generate PDFs with older version of gnuplot
authorMichal Sojka <sojkam1@fel.cvut.cz>
Fri, 17 Dec 2010 15:00:38 +0000 (16:00 +0100)
committerMichal Sojka <sojkam1@fel.cvut.cz>
Fri, 17 Dec 2010 15:00:38 +0000 (16:00 +0100)
That version does not implement pdfcairo terminal.

gw-tests/lib.sh

index 5afc021..8cf99e9 100644 (file)
@@ -55,13 +55,13 @@ _plot() {
        if [ -z "$OPT_NO_X11" ]; then
            echo "set terminal x11 enhanced; $(< plot.gp)" | gnuplot -persist
        fi
+       test "$(gnuplot --version)" = "gnuplot 4.2 patchlevel 5 " && continue
        echo "set terminal pdfcairo solid color enhanced; " \
             "set output \"graph$i.pdf\";" \
             "set pointsize 0.5;" \
            "$(< plot.gp)" | gnuplot
        echo 'set terminal pngcairo color enhanced size 750,525 font ",10" ;' \
            "$(< plot.gp)" | gnuplot > graph$i.png
-       mkdir -p thumb
        convert -resize 150x105 -gamma 0.5 -quality 90 -type Palette -depth 8 graph$i.png tgraph$i.png
 #     echo 'set terminal pngcairo color enhanced size 150,105 font ",1";' \
 #      "$(< plot.gp)" | gnuplot > thumb/${testname}$i.png